Displaying 19 results from an estimated 19 matches for "partn".
Did you mean:
part
2009 Jul 31
1
[PATCH node] update method used to determine boot partition for install
...ot;installing the image."
mount_boot
# check that /boot mounted ok and find partition number for GRUB
- eval $(mount|awk '$3 == "/boot" {
- print "disk=" substr($1,1,length($1)-1);
- print "disk2=" substr($1,1,length($1)-2);
- partN=substr($1,length($1),1); partN--;
- print "partN=" partN;
- }')
+ eval $(readlink -f /dev/disk/by-label/BOOT|awk {'
+ print "disk=" substr($1,1,length($1)-1);
+ print "disk2=" substr($1,1,length($1)-2);
+ partN=substr($1,length($1),1); par...
2010 Mar 24
2
[PATCH node][REPOST 1/2] Fix uninstall to detect and cleanup correct partitions
...ovirt_boot_setup() {
fi
# check that /boot mounted ok and find partition number for GRUB
- eval $(readlink -f /dev/disk/by-label/$grub_dev_label|awk {'
- print "disk=" substr($1,1,length($1)-1);
- print "disk2=" substr($1,1,length($1)-2);
- partN=substr($1,length($1),1); partN--;
- print "partN=" partN;
- }')
+ get_part_info $(readlink -f /dev/disk/by-label/$grub_dev_label disk partN
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to determine Root partition"
@@ -70,10 +65,6 @@...
2010 Mar 23
1
[PATCH node][RFC] Fix uninstall to detect and cleanup correct partitions
...ovirt_boot_setup() {
fi
# check that /boot mounted ok and find partition number for GRUB
- eval $(readlink -f /dev/disk/by-label/$grub_dev_label|awk {'
- print "disk=" substr($1,1,length($1)-1);
- print "disk2=" substr($1,1,length($1)-2);
- partN=substr($1,length($1),1); partN--;
- print "partN=" partN;
- }')
+ get_part_info $(readlink -f /dev/disk/by-label/$grub_dev_label disk partN
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to determine Root partition"
@@ -70,10 +65,6 @@...
2010 Oct 26
0
[PATCH node] add install.py
...grub
+ grub_part_info_cmd = "findfs LABEL=%s 2>/dev/null" % grub_dev_label
+ grub_part_info = subprocess.Popen(grub_part_info_cmd, shell=True, stdout=PIPE, stderr=STDOUT)
+ disk = grub_part_info.stdout.read()
+ disk = disk.rstrip(disk[-1:])
+ length = len(disk) - 1
+ partN = disk[length:]
+ partN = int(partN) - 1
+ disk = disk.rstrip(disk[-1:])
+
+ if disk is None and partN < 0:
+ log("unable to determine Root partition")
+ sys.exit(1)
+ if OVIRT_VARS.has_key("OVIRT_ISCSI_ENABLED") and OVIRT_VARS["OVIRT_ISCSI_ENABLED&...
2010 Mar 23
0
[PATCH node] Fix uninstall to detect and cleanup correct partitions
...ovirt_boot_setup() {
fi
# check that /boot mounted ok and find partition number for GRUB
- eval $(readlink -f /dev/disk/by-label/$grub_dev_label|awk {'
- print "disk=" substr($1,1,length($1)-1);
- print "disk2=" substr($1,1,length($1)-2);
- partN=substr($1,length($1),1); partN--;
- print "partN=" partN;
- }')
+ get_part_info $(readlink -f /dev/disk/by-label/$grub_dev_label disk partN
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to determine Root partition"
@@ -70,10 +65,6 @@...
2010 Mar 23
1
[PATCH node][RFC] Remove dependencies on /dev/disk/by-label entries
...++++++++--------
3 files changed, 26 insertions(+), 23 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index ac43daa..b1fd469 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -29,14 +29,21 @@ ovirt_boot_setup() {
local disk2
local partN=-1
log "installing the image."
- if [ -h /dev/disk/by-label/Boot ]; then
+ local found_boot=false
+ if findfs LABEL=Boot 2>&1 >/dev/null ; then
+ found_boot=true
+ grub_dev_label=Boot
+ elif findfs LABEL=Root 2>&1 >/dev/null ; then
+...
2010 May 10
1
[PATCH node] RESEND: fix iscsi installation problems
...ev_label=Root
fi
if $found_boot; then
@@ -62,8 +62,8 @@ ovirt_boot_setup() {
grub_dev_label="RootBackup"
fi
- # check that /boot mounted ok and find partition number for GRUB
- get_part_info $(readlink -f $(findfs LABEL=$grub_dev_label 2>/dev/null)) disk partN
+ # check that /boot mounted ok and find partition number for GRUB, $4 is to allow 0 as a partition number for grub
+ get_part_info $(readlink -f $(findfs LABEL=$grub_dev_label 2>/dev/null)) disk partN y
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to dete...
2009 Oct 22
0
[PATCH node] merge Root and /boot partitions
...| 12 +++++-----
4 files changed, 34 insertions(+), 59 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index dd53988..9ab06bd 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -29,9 +29,9 @@ ovirt_boot_setup() {
local disk2
local partN=-1
log "installing the image."
- mount_boot
+ mount_liveos
# check that /boot mounted ok and find partition number for GRUB
- eval $(readlink -f /dev/disk/by-label/BOOT|awk {'
+ eval $(readlink -f /dev/disk/by-label/RootBackup|awk {'
print "disk...
2010 Apr 09
0
[PATCH node] fix iscsi installation problems
...ev_label=Root
fi
if $found_boot; then
@@ -56,8 +56,8 @@ ovirt_boot_setup() {
grub_dev_label="RootBackup"
fi
- # check that /boot mounted ok and find partition number for GRUB
- get_part_info $(readlink -f $(findfs LABEL=$grub_dev_label 2>/dev/null)) disk partN
+ # check that /boot mounted ok and find partition number for GRUB, $4 is to allow 0 as a partition number for grub
+ get_part_info $(readlink -f $(findfs LABEL=$grub_dev_label 2>/dev/null)) disk partN y
rc=$?
if [ $rc -ne 0 -o $partN -lt 0 ]; then
log "unable to dete...
2009 Dec 08
1
[PATCH node] iscsi remote root basework This lays most of the groundwork for iscsi installation and configuration. At this time configuring iscsi is disabled due to multiple issues with dependent pieces.
...redhat.com/show_bug.cgi?id=512358
etherboot-zroms-kvm
+dracut-network
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index 470f57b..4c4e3d7 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -29,9 +29,28 @@ ovirt_boot_setup() {
local disk2
local partN=-1
log "installing the image."
+ if [ -h /dev/disk/by-label/Boot ]; then
+ mount_boot
+ mountpoint /boot
+ if [ $? -ne 0 ] ; then
+ log "Boot partition not available"
+ return 1
+ fi
+ grub_dev_label="Boot&quo...
2017 Mar 01
3
[systemd-devel] udev virtio by-path naming
On Wed, Mar 01, 2017 at 04:02:53PM +0100, Viktor Mihajlovski wrote:
> On 01.03.2017 04:30, Zbigniew J?drzejewski-Szmek wrote:
> > On Tue, Feb 28, 2017 at 09:47:42AM +0100, Viktor Mihajlovski wrote:
> >>>>>> One could argue about back-level compatibility, but virtio by-path
> >>>>>> naming has changed multiple times. We have seen
2017 Mar 01
3
[systemd-devel] udev virtio by-path naming
On Wed, Mar 01, 2017 at 04:02:53PM +0100, Viktor Mihajlovski wrote:
> On 01.03.2017 04:30, Zbigniew J?drzejewski-Szmek wrote:
> > On Tue, Feb 28, 2017 at 09:47:42AM +0100, Viktor Mihajlovski wrote:
> >>>>>> One could argue about back-level compatibility, but virtio by-path
> >>>>>> naming has changed multiple times. We have seen
2017 Mar 01
0
[systemd-devel] udev virtio by-path naming
...irtio_mmio"
> SUBSYSTEMS=="platform"
> DRIVERS=="virtio-mmio"
> ATTRS{driver_override}=="(null)"
Since I can't do that on my box, would you be so kind to run
ls -l /dev/disk/by-path
If it returns ids like
virtio-pci-a003e00.virtio_mmio[-partn]
my suggested patch should be OK for ARM in that it will produce ids in
the format
platform-a003e00.virtio_mmio[-partn]
>
> looking at parent device '/devices/platform':
> KERNELS=="platform"
> SUBSYSTEMS==""
> DRIVERS==""
>...
2017 Mar 01
2
[systemd-devel] udev virtio by-path naming
...YSTEMS=="platform"
> > DRIVERS=="virtio-mmio"
> > ATTRS{driver_override}=="(null)"
> Since I can't do that on my box, would you be so kind to run
> ls -l /dev/disk/by-path
> If it returns ids like
> virtio-pci-a003e00.virtio_mmio[-partn]
> my suggested patch should be OK for ARM in that it will produce ids in
> the format
> platform-a003e00.virtio_mmio[-partn]
Ok, my guest has 4 disks
- sda - virtio-scsi, over virtio-pci transport
- sdb - virtio-scsi, over virtio-mmio transport
- vda - virtio-scsi, over virtio-pci...
2017 Mar 01
2
[systemd-devel] udev virtio by-path naming
...YSTEMS=="platform"
> > DRIVERS=="virtio-mmio"
> > ATTRS{driver_override}=="(null)"
> Since I can't do that on my box, would you be so kind to run
> ls -l /dev/disk/by-path
> If it returns ids like
> virtio-pci-a003e00.virtio_mmio[-partn]
> my suggested patch should be OK for ARM in that it will produce ids in
> the format
> platform-a003e00.virtio_mmio[-partn]
Ok, my guest has 4 disks
- sda - virtio-scsi, over virtio-pci transport
- sdb - virtio-scsi, over virtio-mmio transport
- vda - virtio-scsi, over virtio-pci...
2010 Apr 05
1
RESEND: [PATCH node 1/3] enables ability for a common shared root
...-----------------
2 files changed, 75 insertions(+), 49 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index d545878..8cc127b 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -29,6 +29,12 @@ ovirt_boot_setup() {
local disk2
local partN=-1
log "installing the image."
+
+ if [ "$OVIRT_ROOT_INSTALL" == "n" ]; then
+ log "done."
+ return
+ fi
+
local found_boot=false
if findfs LABEL=Boot 2>&1 >/dev/null ; then
found_boot=true
@@ -212,7 +218,...
2010 Apr 01
2
[PATCH node 1/3] Enables ability to have a common shared root
...+----------------
2 files changed, 56 insertions(+), 30 deletions(-)
diff --git a/scripts/ovirt-config-boot b/scripts/ovirt-config-boot
index d545878..8cc127b 100755
--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -29,6 +29,12 @@ ovirt_boot_setup() {
local disk2
local partN=-1
log "installing the image."
+
+ if [ "$OVIRT_ROOT_INSTALL" == "n" ]; then
+ log "done."
+ return
+ fi
+
local found_boot=false
if findfs LABEL=Boot 2>&1 >/dev/null ; then
found_boot=true
@@ -212,7 +218,...
2006 Mar 16
3
Feedback from VON expo! Info on * HA and Polycomphone!!
I know someone who's at VON this week. Apparently Mark Spencer was up there talking about how Asterisk supports SRV. Sounds like vaporware to me.
> -----Original Message-----
> From: David Thomas [mailto:punknow@gmail.com]
> Sent: Thursday, March 16, 2006 11:54 AM
> To: Asterisk Users Mailing List - Non-Commercial Discussion
> Subject: Re: [Asterisk-Users] Feedback from VON
2006 Mar 16
2
Feedback from VON expo! Info on * HA andPolycomphone!!
...on, Digium had 10 seperate vendors that have teamed with
them
to sell special programs/products/services that intergrate with
Asterisk.
One was a call-center program, another was a resellers package, another
delt
with firewalls and NAT, another for voice recognition, another was Intel
(that has partnered with Digium to offer drivers in the ABE for the
intel
cards), another was some email, fax, chat, presence, etc. kind of box
that
sits in front of * to combine all these services....and some others I
dont
remember. It felt like I was walking into an infomercial!
I also spoke with Polyc...